| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
BuiltinAttributes Class Reference
eProsima Fast DDS API Reference » RTPS » RTPS Attributes Module.

Class BuiltinAttributes, to define the behavior of the RTPSParticipant builtin protocols. More...

`#include <RTPSParticipantAttributes.hpp>`

## Public Member Functions

| BuiltinAttributes ()=default
virtual | ~BuiltinAttributes ()=default
bool | operator== (const BuiltinAttributes &b) const

## Public Attributes

DiscoverySettings | discovery_config
| Discovery protocol related attributes.
bool | use_WriterLivelinessProtocol = true
| Indicates to use the WriterLiveliness protocol.
NetworkConfigSet_t | network_configuration = 0
| Network Configuration.
LocatorList_t | metatrafficUnicastLocatorList
| Metatraffic Unicast Locator List.
LocatorList_t | metatrafficMulticastLocatorList
| Metatraffic Multicast Locator List.
fastdds::rtps::ExternalLocators | metatraffic_external_unicast_locators
| The collection of external locators to use for communication on metatraffic topics.
LocatorList_t | initialPeersList
| Initial peers.
MemoryManagementPolicy_t | readerHistoryMemoryPolicy
| Memory policy for builtin readers.
uint32_t | readerPayloadSize = BUILTIN_DATA_MAX_SIZE
| Maximum payload size for builtin readers.
MemoryManagementPolicy_t | writerHistoryMemoryPolicy
| Memory policy for builtin writers.
uint32_t | writerPayloadSize = BUILTIN_DATA_MAX_SIZE
| Maximum payload size for builtin writers.
uint32_t | mutation_tries = 100u
| Mutation tries if the port is being used.
bool | avoid_builtin_multicast = true
| Set to true to avoid multicast traffic on builtin endpoints.
std::string | flow_controller_name = ""
| Flow controller name to use for the builtin writers.

## Detailed Description

Class BuiltinAttributes, to define the behavior of the RTPSParticipant builtin protocols.

## Constructor & Destructor Documentation

## ◆ BuiltinAttributes()

BuiltinAttributes | ( |  | ) |

default

## ◆ ~BuiltinAttributes()

virtual ~BuiltinAttributes | ( |  | ) |

virtual default

## Member Function Documentation

## ◆ operator==()

bool operator== | ( | const BuiltinAttributes & | b | ) | const

inline

## Member Data Documentation

## ◆ avoid_builtin_multicast

bool avoid_builtin_multicast = true

Set to true to avoid multicast traffic on builtin endpoints.

## ◆ discovery_config

DiscoverySettings discovery_config

Discovery protocol related attributes.

## ◆ flow_controller_name

std::string flow_controller_name = ""

Flow controller name to use for the builtin writers.

## ◆ initialPeersList

LocatorList_t initialPeersList

Initial peers.

## ◆ metatraffic_external_unicast_locators

fastdds::rtps::ExternalLocators metatraffic_external_unicast_locators

The collection of external locators to use for communication on metatraffic topics.

## ◆ metatrafficMulticastLocatorList

LocatorList_t metatrafficMulticastLocatorList

Metatraffic Multicast Locator List.

## ◆ metatrafficUnicastLocatorList

LocatorList_t metatrafficUnicastLocatorList

Metatraffic Unicast Locator List.

## ◆ mutation_tries

uint32_t mutation_tries = 100u

Mutation tries if the port is being used.

## ◆ network_configuration

NetworkConfigSet_t network_configuration = 0

Network Configuration.

## ◆ readerHistoryMemoryPolicy

MemoryManagementPolicy_t readerHistoryMemoryPolicy

Initial value:
=
MemoryManagementPolicy_t::PREALLOCATED_WITH_REALLOC_MEMORY_MODE

Memory policy for builtin readers.

## ◆ readerPayloadSize

uint32_t readerPayloadSize = BUILTIN_DATA_MAX_SIZE

Maximum payload size for builtin readers.

## ◆ use_WriterLivelinessProtocol

bool use_WriterLivelinessProtocol = true

Indicates to use the WriterLiveliness protocol.

## ◆ writerHistoryMemoryPolicy

MemoryManagementPolicy_t writerHistoryMemoryPolicy

Initial value:
=
MemoryManagementPolicy_t::PREALLOCATED_WITH_REALLOC_MEMORY_MODE

Memory policy for builtin writers.

## ◆ writerPayloadSize

uint32_t writerPayloadSize = BUILTIN_DATA_MAX_SIZE

Maximum payload size for builtin writers.

The documentation for this class was generated from the following file:

- include/fastdds/rtps/attributes/RTPSParticipantAttributes.hpp